## GocPolyline

GocPolyline — Multi-segment line.

## Properties

GocPoints * | points | Read / Write
gboolean | use-spline | Read / Write

## Types and Values

| GocPolyline
typedef | GocPolylineClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocStyledItem
                ╰── GocPolyline

## Implemented Interfaces

GocPolyline implements GOStyledObject.

## Description

GocPolyline implements muti-segment line drawing in the canvas.

## Functions

## Types and Values

### GocPolyline

    typedef struct _GocPolyline GocPolyline;

### GocPolylineClass

    typedef GocStyledItemClass GocPolylineClass;

## Property Details

### The `“points”` property

      “points”                   GocPoints *

The polyline vertices.

Owner: GocPolyline

Flags: Read / Write

### The `“use-spline”` property

      “use-spline”               gboolean

Use a Bezier cubic spline as line.

Owner: GocPolyline

Flags: Read / Write

Default value: FALSE